aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBenda Xu <heroxbd@gentoo.org>2020-08-29 18:46:16 +0800
committerBenda Xu <heroxbd@gentoo.org>2020-08-29 18:49:02 +0800
commit41083d4f99eb5c0576f8d5828610f513524c271e (patch)
treeb30c7d492b9f19d5bbdeb26e43b2b43c27db1a9d /sci-libs/awkward-array/awkward-array-0.13.0.ebuild
parentsci-biology/jellyfish: upstream silently re-released 2.3.0 (diff)
downloadsci-41083d4f99eb5c0576f8d5828610f513524c271e.tar.gz
sci-41083d4f99eb5c0576f8d5828610f513524c271e.tar.bz2
sci-41083d4f99eb5c0576f8d5828610f513524c271e.zip
sci-libs/awkward-array: bump to 0.13.0.
Remove pytest-runner from DEPEND because it is dropped from ::gentoo. Drop 0.12.x versions. Add python 3.7 and 3.8 targets. Package-Manager: Portage-2.3.88, Repoman-2.3.18 Signed-off-by: Benda Xu <heroxbd@gentoo.org>
Diffstat (limited to 'sci-libs/awkward-array/awkward-array-0.13.0.ebuild')
-rw-r--r--sci-libs/awkward-array/awkward-array-0.13.0.ebuild25
1 files changed, 25 insertions, 0 deletions
diff --git a/sci-libs/awkward-array/awkward-array-0.13.0.ebuild b/sci-libs/awkward-array/awkward-array-0.13.0.ebuild
new file mode 100644
index 000000000..d4e8f2f3c
--- /dev/null
+++ b/sci-libs/awkward-array/awkward-array-0.13.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Manipulate arrays of complex data structures as easily as Numpy."
+HOMEPAGE="https://github.com/scikit-hep/awkward-array"
+SRC_URI="https://github.com/scikit-hep/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="dev-python/numpy[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -i -e '/pytest-runner/d' setup.py || die
+ distutils-r1_python_prepare_all
+}